> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Find an Event

GET https://api.virtuoussoftware.com/api/Event/Search

Reference: https://virtuous.ferndocs.com/reference/crm-plus/events/find-an-event

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `filter` (string, optional) — (Required) The filter.

## Response

### 200

OK

- `list of ApiEventSearchGetResponsesContentApplicationJsonSchemaItems`

## Types

### ApiEventSearchGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional)
- `eventViewUrl` (string, optional)
- `name` (string, optional)
- `eventType` (string, optional)
- `locationName` (string, optional)
- `displayAddress` (string, optional)
- `geocodeAddress` (string, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `timeZone` (string, optional)
- `description` (string, optional)
- `specialInstructions` (string, optional)
- `inviteOnly` (string, optional)
- `rsvpRequired` (string, optional)
- `totalInvites` (string, optional)
- `totalRsvps` (string, optional)
- `totalAttended` (string, optional)
- `totalGifts` (string, optional)
- `totalGiving` (string, optional)
- `communicationId` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `eventContactsUrl` (string, optional)
- `generosityEventContacts` (list of ApiEventSearchGetResponsesContentApplicationJsonSchemaItemsGenerosityEventContactsItems, optional)
- `tables` (list of string, optional)
- `meals` (list of string, optional)
- `eventInvitationsUrl` (string, optional)
- `customFields` (list of ApiEventSearchGetResponsesContentApplicationJsonSchemaItemsCustomFieldsItems, optional)

### ApiEventSearchGetResponsesContentApplicationJsonSchemaItemsGenerosityEventContactsItems

- `id` (string, optional)
- `eventContactUrl` (string, optional)
- `contactId` (string, optional)
- `contactUrl` (string, optional)
- `displayName` (string, optional)
- `firstName` (string, optional)
- `avatarUrl` (string, optional)
- `primaryPhone` (string, optional)
- `primaryEmail` (string, optional)

### ApiEventSearchGetResponsesContentApplicationJsonSchemaItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
[
  {
    "id": "<integer>",
    "eventViewUrl": "<string>",
    "name": "<string>",
    "eventType": "<string>",
    "locationName": "<string>",
    "displayAddress": "<string>",
    "geocodeAddress": "<string>",
    "startDateTime": "<string>",
    "endDateTime": "<string>",
    "timeZone": "<string>",
    "description": "<string>",
    "specialInstructions": "<string>",
    "inviteOnly": "<boolean>",
    "rsvpRequired": "<boolean>",
    "totalInvites": "<integer>",
    "totalRsvps": "<integer>",
    "totalAttended": "<integer>",
    "totalGifts": "<integer>",
    "totalGiving": "<string>",
    "communicationId": "<integer>",
    "createDateTimeUtc": "<dateTime>",
    "createdByUser": "<string>",
    "modifiedDateTimeUtc": "<dateTime>",
    "modifiedByUser": "<string>",
    "eventContactsUrl": "<string>",
    "generosityEventContacts": [
      {
        "id": "<integer>",
        "eventContactUrl": "<string>",
        "contactId": "<integer>",
        "contactUrl": "<string>",
        "displayName": "<string>",
        "firstName": "<string>",
        "avatarUrl": "<string>",
        "primaryPhone": "<string>",
        "primaryEmail": "<string>"
      },
      {
        "id": "<integer>",
        "eventContactUrl": "<string>",
        "contactId": "<integer>",
        "contactUrl": "<string>",
        "displayName": "<string>",
        "firstName": "<string>",
        "avatarUrl": "<string>",
        "primaryPhone": "<string>",
        "primaryEmail": "<string>"
      }
    ],
    "tables": [
      "<string>",
      "<string>"
    ],
    "meals": [
      "<string>",
      "<string>"
    ],
    "eventInvitationsUrl": "<string>",
    "customFields": [
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      },
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      }
    ]
  },
  {
    "id": "<integer>",
    "eventViewUrl": "<string>",
    "name": "<string>",
    "eventType": "<string>",
    "locationName": "<string>",
    "displayAddress": "<string>",
    "geocodeAddress": "<string>",
    "startDateTime": "<string>",
    "endDateTime": "<string>",
    "timeZone": "<string>",
    "description": "<string>",
    "specialInstructions": "<string>",
    "inviteOnly": "<boolean>",
    "rsvpRequired": "<boolean>",
    "totalInvites": "<integer>",
    "totalRsvps": "<integer>",
    "totalAttended": "<integer>",
    "totalGifts": "<integer>",
    "totalGiving": "<string>",
    "communicationId": "<integer>",
    "eventContactsUrl": "<string>",
    "generosityEventContacts": [
      {
        "id": "<integer>",
        "eventContactUrl": "<string>",
        "contactId": "<integer>",
        "contactUrl": "<string>",
        "displayName": "<string>",
        "firstName": "<string>",
        "avatarUrl": "<string>",
        "primaryPhone": "<string>",
        "primaryEmail": "<string>"
      },
      {
        "id": "<integer>",
        "eventContactUrl": "<string>",
        "contactId": "<integer>",
        "contactUrl": "<string>",
        "displayName": "<string>",
        "firstName": "<string>",
        "avatarUrl": "<string>",
        "primaryPhone": "<string>",
        "primaryEmail": "<string>"
      }
    ],
    "tables": [
      "<string>",
      "<string>"
    ],
    "meals": [
      "<string>",
      "<string>"
    ],
    "eventInvitationsUrl": "<string>",
    "customFields": [
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      },
      {
        "name": "<string>",
        "value": "<string>",
        "displayName": "<string>"
      }
    ]
  }
]
```

**SDK Code**

```python Events_findAnEvent_example
import requests

url = "https://api.virtuoussoftware.com/api/Event/Search"

querystring = {"filter":"<string>"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Events_findAnEvent_example
const url = 'https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Events_findAnEvent_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Events_findAnEvent_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Events_findAnEvent_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Events_findAnEvent_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Events_findAnEvent_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Events_findAnEvent_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Event/Search?filter=%3Cstring%3E")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```